# Class Locator2Impl

java.lang.Object
org.xml.sax.helpers.LocatorImpl
org.xml.sax.ext.Locator2Impl

All Implemented Interfaces:
  `Locator2, Locator`

public class Locator2Impl extends LocatorImpl implements Locator2
SAX2 extension helper for holding additional Entity information, implementing the `Locator2` interface.

This is not part of core-only SAX2 distributions.

Since:
  1.5, SAX 2.0.2

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Locator2Impl()`
  Construct a new, empty Locator2Impl object.
  `Locator2Impl(Locator locator)`
  Copy an existing Locator or Locator2 object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getEncoding()`
  Returns the current value of the encoding property.
  `String`
  `getXMLVersion()`
  Returns the current value of the version property.
  `void`
  `setEncoding(String encoding)`
  Assigns the current value of the encoding property.
  `void`
  `setXMLVersion(String version)`
  Assigns the current value of the version property.

  ### Methods declared in class LocatorImpl

  `getColumnNumber, getLineNumber, getPublicId, getSystemId, setColumnNumber, setLineNumber, setPublicId, setSystemId`
  Modifier and Type
  Method
  Description
  `int`
  `getColumnNumber()`
  Return the saved column number (1-based).
  `int`
  `getLineNumber()`
  Return the saved line number (1-based).
  `String`
  `getPublicId()`
  Return the saved public identifier.
  `String`
  `getSystemId()`
  Return the saved system identifier.
  `void`
  `setColumnNumber(int columnNumber)`
  Set the column number for this locator (1-based).
  `void`
  `setLineNumber(int lineNumber)`
  Set the line number for this locator (1-based).
  `void`
  `setPublicId(String publicId)`
  Set the public identifier for this locator.
  `void`
  `setSystemId(String systemId)`
  Set the system identifier for this locator.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### Locator2Impl

    public Locator2Impl()
    Construct a new, empty Locator2Impl object. This will not normally be useful, since the main purpose of this class is to make a snapshot of an existing Locator.

  - ### Locator2Impl

    public Locator2Impl(Locator locator)
    Copy an existing Locator or Locator2 object. If the object implements Locator2, values of the encoding and versionstrings are copied, otherwise they set to null.
    Parameters:
      `locator` - The existing Locator object.

- ## Method Details

  - ### getXMLVersion

    public String getXMLVersion()
    Returns the current value of the version property.
    Specified by:
      `getXMLVersion` in interface `Locator2`
    Returns:
      Identifier for the XML version being used to interpret the entity's text, or null if that information is not yet available in the current parsing state.
    See Also:
      - `setXMLVersion(String)`

  - ### getEncoding

    public String getEncoding()
    Returns the current value of the encoding property.
    Specified by:
      `getEncoding` in interface `Locator2`
    Returns:
      Name of the character encoding being used to interpret * the entity's text, or null if this was not provided for a * character stream passed through an InputSource or is otherwise not yet available in the current parsing state.
    See Also:
      - `setEncoding(String)`

  - ### setXMLVersion

    public void setXMLVersion(String version)
    Assigns the current value of the version property.
    Parameters:
      `version` - the new "version" value
    See Also:
      - `getXMLVersion()`

  - ### setEncoding

    public void setEncoding(String encoding)
    Assigns the current value of the encoding property.
    Parameters:
      `encoding` - the new "encoding" value
    See Also:
      - `getEncoding()`